public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-ssh/
Date: Tue, 31 Jan 2023 19:48:31 +0000 (UTC)	[thread overview]
Message-ID: <1675194509.89805e82f26f77e63f034470fcd54a8a4dcd3d5c.xgqt@gentoo> (raw)

commit:     89805e82f26f77e63f034470fcd54a8a4dcd3d5c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 19:19:11 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 19:48:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89805e82

dev-scheme/guile-ssh: bump to 0.16.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-scheme/guile-ssh/Manifest                |  1 +
 dev-scheme/guile-ssh/guile-ssh-0.16.3.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-scheme/guile-ssh/Manifest b/dev-scheme/guile-ssh/Manifest
index d067541c3b89..06d5cfba150d 100644
--- a/dev-scheme/guile-ssh/Manifest
+++ b/dev-scheme/guile-ssh/Manifest
@@ -1,2 +1,3 @@
 DIST guile-ssh-0.16.0.tar.gz 522003 BLAKE2B dfa6011bb8b220b9a365fde832434eca0c26b58361a919b36228a95a7b042eb68ef7a0d5aa4b0360119983dc63fe65175ae67fe74da38e90ca19a3914f3d6b07 SHA512 195d763e49fd2506c50fea25606ec1873e3c950851f0be0f91fd73842acb9104c89baa1c69daccc7b28b6504a4aa1648a4c049991a63ecf7336c03c48d23e570
 DIST guile-ssh-0.16.2.tar.gz 523528 BLAKE2B 1cf513a5c77f5ea622c80ce96f8a8b3b2a83e371f1d44bb236a65a6b50e3edfd1096a1b2971a45a1df35bb90d611104214caae49f70ec4c5d96a137d66a28d37 SHA512 7a8143e408c91779591b32a50f2fceb3348bcdf92e810cf6dd70e0e9777229277bb26ba87b0a1f79590ed136aedb06661ce77bad577fb56187af324d209a552d
+DIST guile-ssh-0.16.3.tar.gz 524546 BLAKE2B e8cbe500493d80962f31b1d9ab97f5dc45c2e3612f419244528676b6cc3cf517a7dd84022b84356b0da456cdca404cca3ee25bef1762da9f0e126e086f34a721 SHA512 7b66dd5a29d47f3f7beaefb6576f74f62fe30736ddf97870a72612b44a608d61edd5ba9bc520e577b6f19a9de9044743e880601bae26b9645dafbef2c3134609

diff --git a/dev-scheme/guile-ssh/guile-ssh-0.16.3.ebuild b/dev-scheme/guile-ssh/guile-ssh-0.16.3.ebuild
new file mode 100644
index 000000000000..2ca0c04b0260
--- /dev/null
+++ b/dev-scheme/guile-ssh/guile-ssh-0.16.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library providing access to the SSH protocol for GNU Guile"
+HOMEPAGE="https://memory-heap.org/~avp/projects/guile-ssh/
+	https://github.com/artyom-poptsov/guile-ssh/"
+SRC_URI="https://github.com/artyom-poptsov/${PN}/archive/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="strip"
+
+RDEPEND="
+	>=dev-scheme/guile-2.0.0:=
+	net-libs/libssh:0=[server,sftp]
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+PATCHES=( "${FILESDIR}"/${PN}-0.16.2-tests.patch )
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_PREBUILT='*[.]go'
+
+src_prepare() {
+	default
+
+	# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+	find "${S}" -name "*.scm" -exec touch {} + || die
+
+	eautoreconf
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name "*.la" -delete || die
+}


             reply	other threads:[~2023-01-31 19:48 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-31 19:48 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-28 21:24 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-ssh/ Maciej Barć
2024-02-28 21:24 Maciej Barć
2023-12-27  1:20 Maciej Barć
2023-10-01 15:37 Maciej Barć
2023-10-01 15:37 Maciej Barć
2023-04-03  2:14 Maciej Barć
2022-10-17 14:39 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675194509.89805e82f26f77e63f034470fcd54a8a4dcd3d5c.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox